// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SLISTEDIT_HPP
#define SLSITEDIT_HPP

#include <qdialog.h>
#include <qlistbox.h>
#include <qlabel.h>

class SListEdit : public QDialog {
  Q_OBJECT
  public :
    SListEdit(QWidget *parent , QStringList list);
    QStringList getList();
  private :
    QListBox *listView;
    QLabel *info;
  private slots :
    void refreshInfo(int index);
    void pushUp();
    void pushDown();
    void pushAway();
    void addFiles();
    void addDir();
    void addIntro();
};

#endif
