// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef STIEFENKONV_HPP
#define STIEFENKONV_HPP

#include <qdialog.h>
#include <qimage.h>
#include <qlistbox.h>

class STiefenkonv : public QDialog {
  Q_OBJECT
  public :
    STiefenkonv(QWidget *parent , QImage *datenAddr , QImage *backupAddr);
  private :
    QImage *backup;
    QImage *daten;
    QListBox *tiefenList;
    QListBox *ditherList;
  private slots :
    void createPreview();
  signals :
    void modified();
};

#endif
