// Copyright (C) 2005-2007 Stefan Bauer <yoltia-maintain@freenet.de>

// This file is part of Yoltia.
//
// Yoltia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License Version 2
// as published by the Free Software Foundation.
//    
// Yoltia is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Yoltia; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef SSLIDER_HPP
#define SSLIDER_HPP

#include <qwidget.h>
#include <qtimer.h>

class SSlider : public QWidget {
  Q_OBJECT
  public :
    SSlider(QStringList list);
  private :
    QStringList filelist;
    QSize desktopSize;
    QTimer timer;
    uint currPos;
    void slide(const uint pos);
  protected :
    void mousePressEvent(QMouseEvent *);
  private slots :
    void nextSlide();
};

#endif
